Bug 90140 - Unable to sync our satellite server
Unable to sync our satellite server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 03:42 EDT by Christian Stelter
Modified: 2007-07-31 15:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-05 04:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stelter 2003-05-03 03:42:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
we're getting no updates any longer - every live syncronization fails with this
error:

Sat May  3 01:01:09 2003 - Retrieving / parsing channel data
2003/05/03 01:01:16 30876 0.0.0.0: satellite_tools/xmlSource.process
Sat May  3 01:01:16 2003 -    Encountered some errors with channel data:
Sat May  3 01:01:16 2003 -        ('redhat-linux-7.2',): ERROR: exception
(during parse) occured: rhn-error, id: ['redhat-linux-7.2'], TRACEBACK:
Exception reported from lnxc-115
Time: Sat May  3 01:01:16 2003
Exception type exceptions.AttributeError
                                                                               
                                                                               
                                        
Exception Handler Information
Traceback (innermost last):
  File "/var/www/rhns/satellite_tools/satsync.py", line 441, in __process
    self.containerHandler.process(stream)
  File "/var/www/rhns/satellite_tools/syncLib.py", line 377, in process
    self.handler.process(stream)
  File "/var/www/rhns/satellite_tools/xmlSource.py", line 114, in process
    self.__parser.parse(self.__stream)
  File "/usr/lib/python1.5/site-packages/xml/sax/expatreader.py", line 43, in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/usr/lib/python1.5/site-packages/xml/sax/xmlreader.py", line 121, in parse
    self.feed(buffer)
  File "/usr/lib/python1.5/site-packages/xml/sax/expatreader.py", line 87, in feed
    self._parser.Parse(data, isFinal)
  File "/usr/lib/python1.5/site-packages/xml/sax/xmlreader.py", line 121, in parse
    self.feed(buffer)
  File "/usr/lib/python1.5/site-packages/xml/sax/expatreader.py", line 87, in feed
    self._parser.Parse(data, isFinal)
  File "/usr/lib/python1.5/site-packages/xml/sax/expatreader.py", line 155, in
start_element
    self._cont_handler.startElement(name, AttributesImpl(attrs))
  File "/var/www/rhns/satellite_tools/xmlSource.py", line 172, in startElement
    self.__container = self.get_container(element)
  File "/var/www/rhns/satellite_tools/xmlSource.py", line 145, in get_container
    raise AttributeError, name
AttributeError: rhn-error

This happens for all channels. :-/

Version-Release number of selected component (if applicable):
rhns-server-1.2.6.1-5 rhnproc-0.7-1

How reproducible:
Always

Steps to Reproduce:
1. satellite-sync -c redhat-linux-7.2


Actual Results:  the error as listed above

Expected Results:  start of the synchronisation


Additional info:

It seems that this problem occoured yesterday already.

The (xmlrpc.)rhn.redhat.com is accessible from our satellite via lynx. So it's
not a connection problem.
Comment 1 Christian Stelter 2003-05-05 04:26:28 EDT
Forget this report. A collegue accidentally "killed" the original crontab and
reentered the wrong channel names. :-/

Sorry for bothering.

Note You need to log in before you can comment on or make changes to this bug.